cross
New Foswiki release 2.1.6 is available with important security fixes.
Sourceforge foswiki email lists being discontinued. Subscribe to the new Foswiki announce and discuss lists at MailingLists
This question about Using an extension: Answered

Some plugins are failing to upgrade, classification, editchapter, image, wikiworkbench

I get the following error when I try to upgrade any of these plugins:

Use of uninitialized value $_ in string at /var/lib/foswiki/lib/WebService/Solr/Document.pm line 53.

~ line 53 of document.pm


push @new_fields,
map { WebService::Solr::Field->new( $f => "$_" ) } @values;
-- CarlEastman - 30 Apr 2014

Could you provide a bit more information? Is the failure in the extensions installer when you run the upgrade? Are you running under /bin/configure or in the shell?

If you are running the install from the shell, you could try making a change to the tools/extender.pl to disable the SolrSearch plugin, Or even try disabling ALL plugins during the installation.

In tools/extender.pl around line 115, insert the line:

$Foswiki::cfg{Plugins}{SolrPlugin}{Enabled} = 0;

If you are running the installation from the browser, you could try a similar patch in =lib/Foswiki/Configure/UIs/EXTEND.pm around line 150.

-- GeorgeClark - 01 May 2014

I am doing the plugin installs from /bin/configure

I will try disabling the solr plugin and see if its successful.

-- CarlEastman - 02 May 2014

George,

That was it, I disabled the Solr Plugin and then was able to upgrade the plugins via /bin/configure.

thanks for the tip.

-- CarlEastman - 02 May 2014
 

QuestionForm edit

Subject Using an extension
Extension ClassificationPlugin
Version Foswiki 1.1.9
Status Answered
Related Topics
Topic revision: r3 - 02 May 2014, CarlEastman - This page was cached on 23 Mar 2018 - 04:39.

The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License